export const villesData = {
    "Cadiz": { "x": 144, "y": 1072, "nom": "Cadiz" },
    "Madrid": { "x": 147, "y": 946, "nom": "Madrid" },
    "Barcelona": { "x": 336, "y": 961, "nom": "Barcelona" },
    "Lisboa": { "x": 32, "y": 981, "nom": "Lisboa" },
    "Pamplona": { "x": 318, "y": 805, "nom": "Pamplona" },
    "Paris": { "x": 425, "y": 544, "nom": "Paris" },
    "Dieppe": { "x": 341, "y": 467, "nom": "Dieppe" },
    "Brest": { "x": 188, "y": 516, "nom": "Brest" },
    "London": { "x": 358, "y": 313, "nom": "London" },
    "Amsterdam": { "x": 524, "y": 319, "nom": "Amsterdam" },
    "Bruxelles": { "x": 485, "y": 399, "nom": "Bruxelles" },
    "Edinburgh": { "x": 245, "y": 56, "nom": "Edinburgh" },
    "Zurich": { "x": 622, "y": 638, "nom": "Zurich" },
    "Marseille": { "x": 575, "y": 797, "nom": "Marseille" },
    "Frankfurt": { "x": 638, "y": 454, "nom": "Frankfurt" },
    "Munchen": { "x": 737, "y": 530, "nom": "Munchen" },
    "Wien": { "x": 930, "y": 559, "nom": "Wien" },
    "Venezia": { "x": 763, "y": 694, "nom": "Venezia" },
    "Roma": { "x": 779, "y": 849, "nom": "Roma" },
    "Brindisi": { "x": 925, "y": 892, "nom": "Brindisi" },
    "Palermo": { "x": 841, "y": 1072, "nom": "Palermo" },
    "Athina": { "x": 1136, "y": 1024, "nom": "Athina" },
    "Sofia": { "x": 1167, "y": 830, "nom": "Sofia" },
    "Sarajevo": { "x": 1053, "y": 815, "nom": "Sarajevo" },
    "Zagrab": { "x": 908, "y": 714, "nom": "Zagrab" },
    "Budapest": { "x": 1014, "y": 602, "nom": "Budapest" },
    "Kyiv": { "x": 1370, "y": 438, "nom": "Kyiv" },
    "Warszawa": { "x": 1113, "y": 345, "nom": "Warszawa" },
    "Wilno": { "x": 1302, "y": 303, "nom": "Wilno" },
    "Smolensk": { "x": 1479, "y": 310, "nom": "Smolensk" },
    "Moskva": { "x": 1625, "y": 269, "nom": "Moskva" },
    "Kharkov": { "x": 1600, "y": 528, "nom": "Kharkov" },
    "Rostov": { "x": 1671, "y": 618, "nom": "Rostov" },
    "Sochi": { "x": 1660, "y": 770, "nom": "Sochi" },
    "Erzurum": { "x": 1628, "y": 986, "nom": "Erzurum" },
    "Constantinople": { "x": 1358, "y": 932, "nom": "Constantinople" },
    "Angora": { "x": 1492, "y": 1026, "nom": "Angora" },
    "Smyrna": { "x": 1282, "y": 1068, "nom": "Smyrna" },
    "Essen": { "x": 663, "y": 335, "nom": "Essen" },
    "Berlin": { "x": 834, "y": 359, "nom": "Berlin" },
    "Kobenhavn": { "x": 784, "y": 155, "nom": "Kobenhavn" },
    "Stockholm": { "x": 963, "y": 22, "nom": "Stockholm" },
    "Riga": { "x": 1169, "y": 71, "nom": "Riga" },
    "Petrograd": { "x": 1458, "y": 64, "nom": "Petrograd" },
    "Danzig": { "x": 1028, "y": 226, "nom": "Danzig" },
    "Bucuresti": { "x": 1271, "y": 721, "nom": "Bucuresti" },
    "Sevastopol": { "x": 1508, "y": 746, "nom": "Sevastopol" }
};

export const routesData = {
    { "ville1": "Amsterdam", "ville2": "Bruxelles", "longueur": 1, "couleur": "NOIR", "isTunnel": false, "ferry": 0, "segments": [{ "x": 504.5, "y": 361.5, "dx": -0.42661867571297646, "dy": 0.9044315925115101 }] },
    { "ville1": "Amsterdam", "ville2": "Essen", "longueur": 3, "couleur": "JAUNE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 528.5, "y": 276, "dx": 0.21871145691738075, "dy": -0.9757895770160064 }, { "x": 574, "y": 265, "dx": 0.9778024140774094, "dy": 0.20952908873087345 }, { "x": 629, "y": 300, "dx": 0.6368814469962913, "dy": 0.7709617516270895 }] },
    { "ville1": "Amsterdam", "ville2": "Frankfurt", "longueur": 2, "couleur": "BLANC", "isTunnel": false, "ferry": 0, "segments": [{ "x": 562, "y": 358.5, "dx": 0.6983238520753277, "dy": 0.7157819483772108 }, { "x": 606, "y": 403, "dx": 0.7249994335944138, "dy": 0.688749461914693 }] },
    { "ville1": "Amsterdam", "ville2": "London", "longueur": 2, "couleur": "GRIS", "isTunnel": false, "ferry": 2, "segments": [{ "x": 405, "y": 312, "dx": 1, "dy": 0 }, { "x": 469, "y": 314.5, "dx": 0.9998514005489976, "dy": 0.017238817250844786 }] },
    { "ville1": "Angora", "ville2": "Constantinople", "longueur": 2, "couleur": "GRIS", "isTunnel": true, "ferry": 0, "segments": [{ "x": 1399, "y": 959, "dx": 0.8209052017854871, "dy": 0.5710644881985998 }, { "x": 1452, "y": 998, "dx": 0.8041761414663255, "dy": 0.5943910610838058 }] },
    { "ville1": "Angora", "ville2": "Erzurum", "longueur": 3, "couleur": "NOIR", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1533.5, "y": 1046, "dx": 0.8765785507795943, "dy": 0.48125881219271843 }, { "x": 1597, "y": 1059.5, "dx": 0.9812488205210874, "dy": -0.19274530403092788 }, { "x": 1635.5, "y": 1031.5, "dx": -0.16148856811054085, "dy": -0.9868745828977495 }] },
    { "ville1": "Angora", "ville2": "Smyrna", "longueur": 3, "couleur": "ORANGE", "isTunnel": true, "ferry": 0, "segments": [{ "x": 1329.5, "y": 1072.5, "dx": 0.9998347517133227, "dy": 0.01817881366751496 }, { "x": 1392.5, "y": 1072, "dx": 0.9895864392845114, "dy": -0.14393984571411075 }, { "x": 1455.5, "y": 1054, "dx": 0.8765785507795943, "dy": -0.48125881219271843 }] },
    { "ville1": "Athina", "ville2": "Brindisi", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 1, "segments": [{ "x": 957, "y": 928, "dx": 0.389639990836698, "dy": 0.9209672510685588 }, { "x": 982, "y": 986.5, "dx": 0.38337767164151665, "dy": 0.9235916635000174 }, { "x": 1027.5, "y": 1030.5, "dx": 0.9554026409829016, "dy": 0.2953062708492605 }, { "x": 1093.5, "y": 1036, "dx": 0.9838699100999074, "dy": -0.17888543819998318 }] },
    { "ville1": "Athina", "ville2": "Sarajevo", "longueur": 4, "couleur": "VERT", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1052.5, "y": 859, "dx": -0.053494721371611896, "dy": 0.9985681322700888 }, { "x": 1049, "y": 922.5, "dx": -0.035066140133044446, "dy": 0.9993849937917667 }, { "x": 1045.5, "y": 986.5, "dx": -0.08444307668618062, "dy": 0.9964283048969312 }, { "x": 1087.5, "y": 1007, "dx": 0.9994259471398348, "dy": 0.033878845665757114 }] },
    { "ville1": "Athina", "ville2": "Smyrna", "longueur": 2, "couleur": "GRIS", "isTunnel": false, "ferry": 1, "segments": [{ "x": 1180.5, "y": 1022, "dx": 0.9994259471398348, "dy": -0.033878845665757114 }, { "x": 1244.5, "y": 1036.5, "dx": 0.9044315925115101, "dy": 0.42661867571297646 }] },
    { "ville1": "Athina", "ville2": "Sofia", "longueur": 3, "couleur": "ROSE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1136, "y": 861, "dx": -0.6709133239691262, "dy": 0.7415357791237711 }, { "x": 1109.5, "y": 921, "dx": -0.11982016019085814, "dy": 0.9927956130099675 }, { "x": 1123, "y": 983, "dx": 0.52999894000318, "dy": 0.847998304005088 }] },
    { "ville1": "Barcelona", "ville2": "Madrid", "longueur": 2, "couleur": "JAUNE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 221.5, "y": 954.5, "dx": 0.9998563940539735, "dy": 0.016946718543287685 }, { "x": 285.5, "y": 956.5, "dx": 0.9986178293325098, "dy": 0.052558833122763673 }] },
    { "ville1": "Barcelona", "ville2": "Marseille", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 370.5, "y": 926, "dx": 0.6610305430689966, "dy": -0.7503589948350772 }, { "x": 415.5, "y": 881.5, "dx": 0.7407190347407712, "dy": -0.6718149384858157 }, { "x": 467.5, "y": 843.5, "dx": 0.8692901189279536, "dy": -0.4943022244884442 }, { "x": 525, "y": 818, "dx": 0.9377487607237036, "dy": -0.34731435582359393 }] },
    { "ville1": "Barcelona", "ville2": "Pamplona", "longueur": 2, "couleur": "GRIS", "isTunnel": true, "ferry": 0, "segments": [{ "x": 322.5, "y": 852.5, "dx": 0.09053574604251853, "dy": 0.9958932064677039 }, { "x": 329.5, "y": 917.5, "dx": 0.11781773987828967, "dy": 0.9930352361170129 }] },
    { "ville1": "Berlin", "ville2": "Danzig", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 842.5, "y": 306.5, "dx": 0.1559625734730109, "dy": -0.987762965329069 }, { "x": 867.5, "y": 246.5, "dx": 0.5746304214759497, "dy": -0.8184130245263527 }, { "x": 922.5, "y": 210, "dx": 0.978549784986749, "dy": -0.2060104810498419 }, { "x": 987, "y": 210, "dx": 0.9778024140774094, "dy": 0.20952908873087345 }] },
    { "ville1": "Berlin", "ville2": "Essen", "longueur": 2, "couleur": "BLEU", "isTunnel": false, "ferry": 0, "segments": [{ "x": 726.5, "y": 331.5, "dx": 0.9925434552766405, "dy": 0.12189130152520146 }, { "x": 789.5, "y": 339, "dx": 0.9945054529214061, "dy": 0.10468478451804275 }] },
    { "ville1": "Berlin", "ville2": "Frankfurt", "longueur": 3, "couleur": "ROUGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 686.5, "y": 452.5, "dx": 0.9173450110960782, "dy": -0.3980931180228264 }, { "x": 743, "y": 424.5, "dx": 0.9012524245251862, "dy": -0.43329443486787794 }, { "x": 800, "y": 397.5, "dx": 0.9012524245251862, "dy": -0.43329443486787794 }] },
    { "ville1": "Berlin", "ville2": "Frankfurt", "longueur": 3, "couleur": "NOIR", "isTunnel": false, "ferry": 0, "segments": [{ "x": 676, "y": 432.5, "dx": 0.9012524245251862, "dy": -0.43329443486787794 }, { "x": 734, "y": 405.5, "dx": 0.9084904526785746, "dy": -0.41790560823214434 }, { "x": 790.5, "y": 378, "dx": 0.8909061469019802, "dy": -0.4541874474402252 }] },
    { "ville1": "Berlin", "ville2": "Warszawa", "longueur": 4, "couleur": "JAUNE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 877, "y": 365.5, "dx": 0.9469787003150827, "dy": -0.3212963447497602 }, { "x": 940, "y": 350.5, "dx": 0.988173903359179, "dy": -0.15333732983159673 }, { "x": 1003, "y": 347, "dx": 0.9993628543475496, "dy": -0.03569153051241249 }, { "x": 1065.5, "y": 350.5, "dx": 0.987762965329069, "dy": 0.1559625734730109 }] },
    { "ville1": "Berlin", "ville2": "Warszawa", "longueur": 4, "couleur": "ROSE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 875.5, "y": 341.5, "dx": 0.9486832980505138, "dy": -0.31622776601683794 }, { "x": 939.5, "y": 326.5, "dx": 0.9925434552766405, "dy": -0.12189130152520146 }, { "x": 1002, "y": 322, "dx": 0.9994059993535875, "dy": -0.03446227583977888 }, { "x": 1067, "y": 327, "dx": 0.9906211292434748, "dy": 0.13663739713703102 }] },
    { "ville1": "Berlin", "ville2": "Wien", "longueur": 3, "couleur": "VERT", "isTunnel": false, "ferry": 0, "segments": [{ "x": 847, "y": 408.5, "dx": 0.2890045919356118, "dy": 0.9573277107867141 }, { "x": 870.5, "y": 467, "dx": 0.47514891473488396, "dy": 0.8799053976571926 }, { "x": 906, "y": 520.5, "dx": 0.6246950475544243, "dy": 0.7808688094430304 }] },
    { "ville1": "Brest", "ville2": "Dieppe", "longueur": 2, "couleur": "ORANGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 225, "y": 482.5, "dx": 0.8650311892618034, "dy": -0.501718089771846 }, { "x": 287.5, "y": 464, "dx": 0.9977097021176764, "dy": -0.06764133573679162 }] },
    { "ville1": "Brest", "ville2": "Pamplona", "longueur": 4, "couleur": "ROSE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 229.5, "y": 549.5, "dx": 0.9342183861793726, "dy": 0.3567015656321241 }, { "x": 280, "y": 591, "dx": 0.5547001962252291, "dy": 0.8320502943378437 }, { "x": 302, "y": 652, "dx": 0.1414213562373095, "dy": 0.9899494936611665 }, { "x": 306, "y": 716, "dx": 0, "dy": 1 }] },
    { "ville1": "Brest", "ville2": "Paris", "longueur": 3, "couleur": "NOIR", "isTunnel": false, "ferry": 0, "segments": [{ "x": 235, "y": 521, "dx": 0.9946917938265513, "dy": 0.1028991510855053 }, { "x": 298.5, "y": 529, "dx": 0.9945054529214061, "dy": 0.10468478451804275 }, { "x": 360.5, "y": 536.5, "dx": 0.9964283048969312, "dy": 0.08444307668618062 }] },
    { "ville1": "Brindisi", "ville2": "Palermo", "longueur": 3, "couleur": "GRIS", "isTunnel": false, "ferry": 1, "segments": [{ "x": 880.5, "y": 1047.5, "dx": 0.6139406135149205, "dy": -0.7893522173763263 }, { "x": 923, "y": 998.5, "dx": 0.7327934916262993, "dy": -0.6804510993672779 }, { "x": 936.5, "y": 937, "dx": -0.40450601477770304, "dy": -0.9145353377582851 }] },
    { "ville1": "Brindisi", "ville2": "Roma", "longueur": 2, "couleur": "BLANC", "isTunnel": false, "ferry": 0, "segments": [{ "x": 832.5, "y": 833, "dx": 0.9902939771518443, "dy": -0.13898862837218867 }, { "x": 892.5, "y": 856, "dx": 0.6610305430689966, "dy": 0.7503589948350772 }] },
    { "ville1": "Bruxelles", "ville2": "Dieppe", "longueur": 2, "couleur": "VERT", "isTunnel": false, "ferry": 0, "segments": [{ "x": 387, "y": 447.5, "dx": 0.8346094065617252, "dy": -0.5508422083307386 }, { "x": 440, "y": 411, "dx": 0.8041761414663255, "dy": -0.5943910610838058 }] },
    { "ville1": "Bruxelles", "ville2": "Frankfurt", "longueur": 2, "couleur": "BLEU", "isTunnel": false, "ferry": 0, "segments": [{ "x": 528.5, "y": 403, "dx": 0.9690971739229421, "dy": -0.24667928063493072 }, { "x": 590.5, "y": 420, "dx": 0.7321867381630838, "dy": 0.6811039424772872 }] },
    { "ville1": "Bruxelles", "ville2": "Paris", "longueur": 2, "couleur": "JAUNE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 432.5, "y": 495, "dx": 0.47312663795681303, "dy": -0.8809944292988933 }, { "x": 462.5, "y": 439, "dx": 0.43329443486787794, "dy": -0.9012524245251862 }] },
    { "ville1": "Bruxelles", "ville2": "Paris", "longueur": 2, "couleur": "ROUGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 452.5, "y": 505.5, "dx": 0.4678877204190327, "dy": -0.8837879163470618 }, { "x": 482.5, "y": 449.5, "dx": 0.4678877204190327, "dy": -0.8837879163470618 }] },
    { "ville1": "Bucuresti", "ville2": "Budapest", "longueur": 4, "couleur": "GRIS", "isTunnel": true, "ferry": 0, "segments": [{ "x": 1058, "y": 613.5, "dx": 0.8944271909999159, "dy": 0.4472135954999579 }, { "x": 1114.5, "y": 644, "dx": 0.8833490206949295, "dy": 0.46871580689935033 }, { "x": 1170, "y": 674, "dx": 0.8872168012345951, "dy": 0.46135273664198945 }, { "x": 1227, "y": 703.5, "dx": 0.8944271909999159, "dy": 0.4472135954999579 }] },
    { "ville1": "Bucuresti", "ville2": "Constantinople", "longueur": 3, "couleur": "JAUNE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1289.5, "y": 766, "dx": 0.40450601477770304, "dy": 0.9145353377582851 }, { "x": 1314.5, "y": 824, "dx": 0.39186206512519167, "dy": 0.9200239789895804 }, { "x": 1339, "y": 882, "dx": 0.4061384660534476, "dy": 0.9138115486202572 }] },
    { "ville1": "Bucuresti", "ville2": "Kyiv", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1337, "y": 492, "dx": -0.284088329691374, "dy": 0.9587981127083872 }, { "x": 1317.5, "y": 552, "dx": -0.343192952923539, "dy": 0.9392649237907383 }, { "x": 1298, "y": 612.5, "dx": -0.3215824263578902, "dy": 0.9468815887204546 }, { "x": 1278, "y": 672, "dx": -0.3271105638831663, "dy": 0.9449860734402582 }] },
    { "ville1": "Bucuresti", "ville2": "Sevastopol", "longueur": 4, "couleur": "BLANC", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1307.5, "y": 690.5, "dx": 0.7071067811865476, "dy": -0.7071067811865476 }, { "x": 1365, "y": 657.5, "dx": 0.965948051503245, "dy": -0.2587360852240835 }, { "x": 1430.5, "y": 665, "dx": 0.9040722665053037, "dy": 0.4273796168934163 }, { "x": 1480.5, "y": 705, "dx": 0.6055218324832624, "dy": 0.7958286941208591 }] },
    { "ville1": "Bucuresti", "ville2": "Sofia", "longueur": 2, "couleur": "GRIS", "isTunnel": true, "ferry": 0, "segments": [{ "x": 1209.5, "y": 809.5, "dx": 0.9582877607731983, "dy": -0.28580512163411176 }, { "x": 1250, "y": 762.5, "dx": 0.13436367297357807, "dy": -0.9909320881801382 }] },
    { "ville1": "Budapest", "ville2": "Kyiv", "longueur": 6, "couleur": "GRIS", "isTunnel": true, "ferry": 0, "segments": [{ "x": 1037.5, "y": 561, "dx": 0.6633075143158518, "dy": -0.7483469392281404 }, { "x": 1084, "y": 518, "dx": 0.8209052017854871, "dy": -0.5710644881985998 }, { "x": 1139, "y": 483.5, "dx": 0.8799053976571926, "dy": -0.47514891473488396 }, { "x": 1197.5, "y": 459, "dx": 0.9468815887204546, "dy": -0.3215824263578902 }, { "x": 1260, "y": 446, "dx": 0.9974586998307351, "dy": -0.07124704998790965 }, { "x": 1324, "y": 446.5, "dx": 0.9998405993454448, "dy": 0.017854296416882943 }] },
    { "ville1": "Budapest", "ville2": "Sarajevo", "longueur": 3, "couleur": "ROSE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1026, "y": 646.5, "dx": 0.14393984571411075, "dy": 0.9895864392845114 }, { "x": 1035, "y": 709, "dx": 0.1757906384836575, "dy": 0.984427575508482 }, { "x": 1044.5, "y": 772, "dx": 0.12403473458920845, "dy": 0.9922778767136676 }] },
    { "ville1": "Budapest", "ville2": "Wien", "longueur": 1, "couleur": "ROUGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 973.5, "y": 578, "dx": 0.8528513040762654, "dy": 0.5221538596385299 }] },
    { "ville1": "Budapest", "ville2": "Wien", "longueur": 1, "couleur": "BLANC", "isTunnel": false, "ferry": 0, "segments": [{ "x": 962, "y": 596, "dx": 0.8574929257125442, "dy": 0.5144957554275266 }] },
    { "ville1": "Budapest", "ville2": "Zagrab", "longueur": 2, "couleur": "ORANGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 987.5, "y": 639, "dx": -0.501718089771846, "dy": 0.8650311892618034 }, { "x": 946.5, "y": 689.5, "dx": -0.7724254859909581, "dy": 0.6351053995925655 }] },
    { "ville1": "Cadiz", "ville2": "Lisboa", "longueur": 2, "couleur": "BLEU", "isTunnel": false, "ferry": 0, "segments": [{ "x": 50, "y": 1025.5, "dx": 0.4125075533080444, "dy": 0.9109541802219313 }, { "x": 100, "y": 1063.5, "dx": 0.9812488205210874, "dy": 0.19274530403092788 }] },
    { "ville1": "Cadiz", "ville2": "Madrid", "longueur": 3, "couleur": "ORANGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 189, "y": 1062, "dx": 0.9377487607237036, "dy": -0.34731435582359393 }, { "x": 222.5, "y": 1027.5, "dx": -0.3265202527980472, "dy": -0.9451902054680315 }, { "x": 184.5, "y": 976, "dx": -0.7493290854811462, "dy": -0.6621977964717106 }] },
    { "ville1": "Constantinople", "ville2": "Sevastopol", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 2, "segments": [{ "x": 1490.5, "y": 791.5, "dx": -0.017541160386140585, "dy": 0.9998461420100133 }, { "x": 1471, "y": 852.5, "dx": -0.5795237863600037, "dy": 0.8149553245687551 }, { "x": 1428.5, "y": 874, "dx": -0.7938781460016401, "dy": -0.6080768777884903 }, { "x": 1386.5, "y": 896.5, "dx": -0.6139406135149205, "dy": 0.7893522173763263 }] },
    { "ville1": "Constantinople", "ville2": "Smyrna", "longueur": 2, "couleur": "GRIS", "isTunnel": true, "ferry": 0, "segments": [{ "x": 1301.5, "y": 1026.5, "dx": 0.42661867571297646, "dy": -0.9044315925115101 }, { "x": 1330.5, "y": 968.5, "dx": 0.41110775310681835, "dy": -0.911586756889032 }] },
    { "ville1": "Constantinople", "ville2": "Sofia", "longueur": 3, "couleur": "BLEU", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1206, "y": 853, "dx": 0.8725060159497201, "dy": 0.48860336893184325 }, { "x": 1262, "y": 883, "dx": 0.879291966536774, "dy": 0.4762831485407526 }, { "x": 1317, "y": 913.5, "dx": 0.8650311892618034, "dy": 0.501718089771846 }] },
    { "ville1": "Danzig", "ville2": "Riga", "longueur": 3, "couleur": "NOIR", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1041.5, "y": 182.5, "dx": 0.27232246579934893, "dy": -0.9622060458243663 }, { "x": 1071, "y": 125.5, "dx": 0.6028330891856919, "dy": -0.7978673239222394 }, { "x": 1123.5, "y": 89, "dx": 0.9503971290446889, "dy": -0.3110390604146254 }] },
    { "ville1": "Danzig", "ville2": "Warszawa", "longueur": 2, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1068, "y": 247, "dx": 0.847998304005088, "dy": 0.52999894000318 }, { "x": 1103.5, "y": 299, "dx": 0.22612970719934952, "dy": 0.9740972002433518 }] },
    { "ville1": "Dieppe", "ville2": "London", "longueur": 2, "couleur": "GRIS", "isTunnel": false, "ferry": 1, "segments": [{ "x": 330.5, "y": 419.5, "dx": -0.08738374771484403, "dy": 0.9961747239492219 }, { "x": 336.5, "y": 358, "dx": -0.08588834215301201, "dy": 0.9963047689749394 }] },
    { "ville1": "Dieppe", "ville2": "London", "longueur": 2, "couleur": "GRIS", "isTunnel": false, "ferry": 1, "segments": [{ "x": 354.5, "y": 422.5, "dx": 0.08444307668618062, "dy": -0.9964283048969312 }, { "x": 360, "y": 359.5, "dx": 0.10468478451804275, "dy": -0.9945054529214061 }] },
    { "ville1": "Dieppe", "ville2": "Paris", "longueur": 1, "couleur": "ROSE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 379.5, "y": 500.5, "dx": 0.7071067811865475, "dy": 0.7071067811865475 }] },
    { "ville1": "Edinburgh", "ville2": "London", "longueur": 4, "couleur": "ORANGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 276.5, "y": 96, "dx": 0.42012356811103757, "dy": 0.9074669071198412 }, { "x": 301, "y": 154.5, "dx": 0.38337767164151665, "dy": 0.9235916635000174 }, { "x": 325, "y": 212, "dx": 0.389639990836698, "dy": 0.9209672510685588 }, { "x": 349.5, "y": 269.5, "dx": 0.3980931180228264, "dy": 0.9173450110960782 }] },
    { "ville1": "Edinburgh", "ville2": "London", "longueur": 4, "couleur": "NOIR", "isTunnel": false, "ferry": 0, "segments": [{ "x": 255.5, "y": 105.5, "dx": 0.41110775310681835, "dy": 0.911586756889032 }, { "x": 280.5, "y": 163.5, "dx": 0.3980931180228264, "dy": 0.9173450110960782 }, { "x": 305, "y": 220, "dx": 0.40273861426601687, "dy": 0.9153150324227656 }, { "x": 329, "y": 277.5, "dx": 0.3960911114346502, "dy": 0.9182112128712345 }] },
    { "ville1": "Erzurum", "ville2": "Sevastopol", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 2, "segments": [{ "x": 1514, "y": 792, "dx": 0, "dy": 1 }, { "x": 1518.5, "y": 854, "dx": 0.15867809538375516, "dy": 0.9873303712766988 }, { "x": 1542, "y": 914, "dx": 0.5710644881985998, "dy": 0.8209052017854871 }, { "x": 1588.5, "y": 960, "dx": 0.8372705045624257, "dy": 0.546788900938727 }] },
    { "ville1": "Erzurum", "ville2": "Sochi", "longueur": 3, "couleur": "ROUGE", "isTunnel": true, "ferry": 0, "segments": [{ "x": 1653.5, "y": 817, "dx": -0.12403473458920845, "dy": 0.9922778767136676 }, { "x": 1644.5, "y": 880, "dx": -0.15867809538375516, "dy": 0.9873303712766988 }, { "x": 1635.5, "y": 942.5, "dx": -0.12625427967391514, "dy": 0.9919979117236188 }] },
    { "ville1": "Essen", "ville2": "Frankfurt", "longueur": 2, "couleur": "VERT", "isTunnel": false, "ferry": 0, "segments": [{ "x": 666, "y": 412, "dx": 0.8944271909999159, "dy": -0.4472135954999579 }, { "x": 698, "y": 374.5, "dx": -0.4541874474402252, "dy": -0.8909061469019802 }] },
    { "ville1": "Essen", "ville2": "Kobenhavn", "longueur": 3, "couleur": "GRIS", "isTunnel": false, "ferry": 1, "segments": [{ "x": 677, "y": 288, "dx": 0.5390536964233673, "dy": -0.8422714006615114 }, { "x": 713, "y": 235, "dx": 0.5547001962252291, "dy": -0.8320502943378437 }, { "x": 748, "y": 182, "dx": 0.5547001962252291, "dy": -0.8320502943378437 }] },
    { "ville1": "Essen", "ville2": "Kobenhavn", "longueur": 3, "couleur": "GRIS", "isTunnel": false, "ferry": 1, "segments": [{ "x": 695.5, "y": 300, "dx": 0.5665288228870652, "dy": -0.8240419241993676 }, { "x": 731, "y": 246, "dx": 0.5462677805469223, "dy": -0.8376105968386142 }, { "x": 765.5, "y": 196, "dx": 0.5665288228870652, "dy": -0.8240419241993676 }] },
    { "ville1": "Frankfurt", "ville2": "Munchen", "longueur": 2, "couleur": "ROSE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 654, "y": 500, "dx": 0.31622776601683794, "dy": 0.9486832980505138 }, { "x": 684.5, "y": 534.5, "dx": 0.9582877607731983, "dy": -0.28580512163411176 }] },
    { "ville1": "Frankfurt", "ville2": "Paris", "longueur": 3, "couleur": "ORANGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 494, "y": 553.5, "dx": 0.9568805766427723, "dy": -0.29048160362369874 }, { "x": 552, "y": 527, "dx": 0.8422714006615114, "dy": -0.5390536964233673 }, { "x": 605.5, "y": 491.5, "dx": 0.8137334712067349, "dy": -0.5812381937190964 }] },
    { "ville1": "Frankfurt", "ville2": "Paris", "longueur": 3, "couleur": "BLANC", "isTunnel": false, "ferry": 0, "segments": [{ "x": 482.5, "y": 533, "dx": 0.939793423488437, "dy": -0.3417430630867044 }, { "x": 541, "y": 506.5, "dx": 0.8400393777687709, "dy": -0.5425254314756646 }, { "x": 594, "y": 471.5, "dx": 0.8240419241993676, "dy": -0.5665288228870652 }] },
    { "ville1": "Kharkov", "ville2": "Kyiv", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1386, "y": 482, "dx": 0.34731435582359393, "dy": 0.9377487607237036 }, { "x": 1428, "y": 531, "dx": 0.8804710999221753, "dy": 0.47409982303501746 }, { "x": 1490.5, "y": 547.5, "dx": 0.9986178293325098, "dy": 0.052558833122763673 }, { "x": 1554, "y": 540, "dx": 0.9486832980505138, "dy": -0.31622776601683794 }] },
    { "ville1": "Kharkov", "ville2": "Moskva", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1628.5, "y": 491, "dx": 0.6985367247883851, "dy": -0.7155742058807848 }, { "x": 1661.5, "y": 437, "dx": 0.2676438637860946, "dy": -0.9635179096299405 }, { "x": 1666, "y": 372, "dx": -0.1414213562373095, "dy": -0.9899494936611665 }, { "x": 1647, "y": 309.5, "dx": -0.4541874474402252, "dy": -0.8909061469019802 }] },
    { "ville1": "Kharkov", "ville2": "Rostov", "longueur": 2, "couleur": "VERT", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1651, "y": 528, "dx": 1, "dy": 0 }, { "x": 1670.5, "y": 573.5, "dx": 0.017541160386140585, "dy": 0.9998461420100133 }] },
    { "ville1": "Kobenhavn", "ville2": "Stockholm", "longueur": 3, "couleur": "JAUNE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 808.5, "y": 114, "dx": 0.6804510993672779, "dy": -0.7327934916262993 }, { "x": 855, "y": 70.5, "dx": 0.7483469392281404, "dy": -0.6633075143158518 }, { "x": 908, "y": 34, "dx": 0.8804710999221753, "dy": -0.47409982303501746 }] },
    { "ville1": "Kobenhavn", "ville2": "Stockholm", "longueur": 3, "couleur": "BLANC", "isTunnel": false, "ferry": 0, "segments": [{ "x": 825, "y": 132, "dx": 0.6896551724137931, "dy": -0.7241379310344828 }, { "x": 870, "y": 87.5, "dx": 0.7503589948350772, "dy": -0.6610305430689966 }, { "x": 923.5, "y": 50.5, "dx": 0.8837879163470618, "dy": -0.4678877204190327 }] },
    { "ville1": "Kyiv", "ville2": "Smolensk", "longueur": 3, "couleur": "ROUGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1418.5, "y": 440.5, "dx": 0.9986178293325098, "dy": 0.052558833122763673 }, { "x": 1477.5, "y": 417, "dx": 0.7157819483772108, "dy": -0.6983238520753277 }, { "x": 1492, "y": 355.5, "dx": -0.2890045919356118, "dy": -0.9573277107867141 }] },
    { "ville1": "Kyiv", "ville2": "Warszawa", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1143.5, "y": 376.5, "dx": 0.689213765997513, "dy": 0.7245580616896932 }, { "x": 1196, "y": 413, "dx": 0.9377487607237036, "dy": 0.34731435582359393 }, { "x": 1258.5, "y": 422.5, "dx": 0.9986178293325098, "dy": -0.052558833122763673 }, { "x": 1322.5, "y": 423.5, "dx": 0.9986178293325098, "dy": 0.052558833122763673 }] },
    { "ville1": "Kyiv", "ville2": "Wilno", "longueur": 2, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1344, "y": 330.5, "dx": 0.8400393777687709, "dy": 0.5425254314756646 }, { "x": 1372, "y": 389.5, "dx": 0, "dy": 1 }] },
    { "ville1": "Lisboa", "ville2": "Madrid", "longueur": 3, "couleur": "ROSE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 30, "y": 940, "dx": 0, "dy": -1 }, { "x": 49.5, "y": 896, "dx": 0.9994259471398348, "dy": 0.033878845665757114 }, { "x": 111, "y": 917.5, "dx": 0.8080075302163774, "dy": 0.5891721574494418 }] },
    { "ville1": "Madrid", "ville2": "Pamplona", "longueur": 3, "couleur": "BLANC", "isTunnel": true, "ferry": 0, "segments": [{ "x": 186, "y": 920.5, "dx": 0.6419366564593427, "dy": -0.7667576729931038 }, { "x": 229, "y": 874, "dx": 0.7071067811865475, "dy": -0.7071067811865475 }, { "x": 278.5, "y": 833, "dx": 0.8372705045624257, "dy": -0.546788900938727 }] },
    { "ville1": "Madrid", "ville2": "Pamplona", "longueur": 3, "couleur": "NOIR", "isTunnel": true, "ferry": 0, "segments": [{ "x": 171, "y": 905, "dx": 0.6536198703460924, "dy": -0.7568230077691596 }, { "x": 212.5, "y": 857, "dx": 0.6804510993672779, "dy": -0.7327934916262993 }, { "x": 261, "y": 817, "dx": 0.8422714006615114, "dy": -0.5390536964233673 }] },
    { "ville1": "Marseille", "ville2": "Pamplona", "longueur": 4, "couleur": "ROUGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 367.5, "y": 823, "dx": 0.9503971290446889, "dy": 0.3110390604146254 }, { "x": 401, "y": 790.5, "dx": 0.35305725243424235, "dy": -0.9356017189507422 }, { "x": 452.5, "y": 753.5, "dx": 0.9998461420100133, "dy": -0.017541160386140585 }, { "x": 516.5, "y": 770.5, "dx": 0.8979207227269799, "dy": 0.44015721702302935 }] },
    { "ville1": "Marseille", "ville2": "Paris", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 553, "y": 756, "dx": -0.5547001962252291, "dy": -0.8320502943378437 }, { "x": 505.5, "y": 713.5, "dx": -0.8837879163470618, "dy": -0.4678877204190327 }, { "x": 457, "y": 670.5, "dx": -0.5700815482062942, "dy": -0.821588113591424 }, { "x": 436.5, "y": 608.5, "dx": -0.054464493159869794, "dy": -0.9985157079309461 }] },
    { "ville1": "Marseille", "ville2": "Roma", "longueur": 4, "couleur": "GRIS", "isTunnel": true, "ferry": 0, "segments": [{ "x": 620, "y": 778, "dx": 0.8041761414663255, "dy": -0.5943910610838058 }, { "x": 671, "y": 741.5, "dx": 0.8, "dy": -0.6 }, { "x": 712, "y": 762.5, "dx": 0.6028330891856919, "dy": 0.7978673239222394 }, { "x": 750, "y": 813.5, "dx": 0.6028330891856919, "dy": 0.7978673239222394 }] },
    { "ville1": "Marseille", "ville2": "Zurich", "longueur": 2, "couleur": "ROSE", "isTunnel": true, "ferry": 0, "segments": [{ "x": 615, "y": 683.5, "dx": -0.2553911228370322, "dy": 0.9668378221687647 }, { "x": 599, "y": 746.5, "dx": -0.2890045919356118, "dy": 0.9573277107867141 }] },
    { "ville1": "Moskva", "ville2": "Petrograd", "longueur": 4, "couleur": "BLANC", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1504, "y": 79.5, "dx": 0.9538492507391959, "dy": 0.30028587523270983 }, { "x": 1561, "y": 110, "dx": 0.8041761414663255, "dy": 0.5943910610838058 }, { "x": 1600, "y": 161, "dx": 0.4472135954999579, "dy": 0.8944271909999159 }, { "x": 1617, "y": 222, "dx": 0.07124704998790965, "dy": 0.9974586998307351 }] },
    { "ville1": "Moskva", "ville2": "Smolensk", "longueur": 2, "couleur": "ORANGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1526, "y": 314, "dx": 0.994309153919809, "dy": 0.10653312363426524 }, { "x": 1587, "y": 295.5, "dx": 0.8080075302163774, "dy": -0.5891721574494418 }] },
    { "ville1": "Munchen", "ville2": "Venezia", "longueur": 2, "couleur": "BLEU", "isTunnel": true, "ferry": 0, "segments": [{ "x": 742, "y": 587, "dx": 0.18208926018230742, "dy": 0.9832820049844601 }, { "x": 754, "y": 651, "dx": 0.20952908873087345, "dy": 0.9778024140774094 }] },
    { "ville1": "Munchen", "ville2": "Wien", "longueur": 3, "couleur": "ORANGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 768.5, "y": 566, "dx": 0.6055218324832624, "dy": 0.7958286941208591 }, { "x": 826, "y": 594.5, "dx": 0.9986649849421085, "dy": 0.0516550854280401 }, { "x": 887, "y": 574.5, "dx": 0.7792134503124135, "dy": -0.6267586448165066 }] },
    { "ville1": "Munchen", "ville2": "Zurich", "longueur": 2, "couleur": "JAUNE", "isTunnel": true, "ferry": 0, "segments": [{ "x": 656.5, "y": 609.5, "dx": 0.7407190347407712, "dy": -0.6718149384858157 }, { "x": 702.5, "y": 564, "dx": 0.7321867381630838, "dy": -0.6811039424772872 }] },
    { "ville1": "Palermo", "ville2": "Roma", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 1, "segments": [{ "x": 864, "y": 1032, "dx": -0.5943910610838058, "dy": 0.8041761414663255 }, { "x": 884.5, "y": 972, "dx": -0.017238817250844786, "dy": 0.9998514005489976 }, { "x": 866, "y": 911, "dx": 0.6163082616581107, "dy": 0.7875050010075858 }, { "x": 818, "y": 867.5, "dx": 0.8799053976571926, "dy": 0.47514891473488396 }] },
    { "ville1": "Palermo", "ville2": "Smyrna", "longueur": 6, "couleur": "GRIS", "isTunnel": false, "ferry": 2, "segments": [{ "x": 1236.5, "y": 1069, "dx": 1, "dy": 0 }, { "x": 1172.5, "y": 1069, "dx": 1, "dy": 0 },{ "x": 1110.5, "y": 1069, "dx": 1, "dy": 0 }, { "x": 1048.5, "y": 1069, "dx": 1, "dy": 0 }, { "x": 984, "y": 1069, "dx": 1, "dy": 0 }, { "x": 920, "y": 1069, "dx": 1, "dy": 0 }] },
    { "ville1": "Pamplona", "ville2": "Paris", "longueur": 4, "couleur": "BLEU", "isTunnel": false, "ferry": 0, "segments": [{ "x": 321.5, "y": 763, "dx": 0.5891721574494418, "dy": -0.8080075302163774 }, { "x": 353.5, "y": 706.5, "dx": 0.34570535882735637, "dy": -0.9383431168171101 }, { "x": 374, "y": 647, "dx": 0.24253562503633297, "dy": -0.9701425001453319 }, { "x": 387.5, "y": 584, "dx": 0.15333732983159673, "dy": -0.988173903359179 }] },
    { "ville1": "Pamplona", "ville2": "Paris", "longueur": 4, "couleur": "VERT", "isTunnel": false, "ferry": 0, "segments": [{ "x": 343.5, "y": 770.5, "dx": 0.597266145998167, "dy": -0.8020431103403957 }, { "x": 376, "y": 713, "dx": 0.37729688731351946, "dy": -0.9260923597695477 }, { "x": 397, "y": 654, "dx": 0.27472112789737807, "dy": -0.9615239476408232 }, { "x": 410.5, "y": 592, "dx": 0.11982016019085814, "dy": -0.9927956130099675 }] },
    { "ville1": "Paris", "ville2": "Zurich", "longueur": 3, "couleur": "GRIS", "isTunnel": true, "ferry": 0, "segments": [{ "x": 468.5, "y": 594, "dx": 0.5171156399255817, "dy": 0.8559155419457903 }, { "x": 515.5, "y": 636.5, "dx": 0.9052369440730288, "dy": 0.4249071370138707 }, { "x": 578.5, "y": 650, "dx": 1, "dy": 0 }] },
    { "ville1": "Petrograd", "ville2": "Riga", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1216.5, "y": 73, "dx": 1, "dy": 0 }, { "x": 1281, "y": 74, "dx": 0.9993628543475496, "dy": -0.03569153051241249 }, { "x": 1344, "y": 72, "dx": 0.9993148337667671, "dy": -0.037011660509880265 }, { "x": 1407, "y": 71.5, "dx": 0.9985681322700888, "dy": -0.053494721371611896 }] },
    { "ville1": "Petrograd", "ville2": "Stockholm", "longueur": 8, "couleur": "GRIS", "isTunnel": true, "ferry": 0, "segments": [{ "x": 994, "y": 57, "dx": 0.6332377902572627, "dy": 0.773957299203321 }, { "x": 1040, "y": 48, "dx": 0.8041761414663255, "dy": -0.5943910610838058 }, { "x": 1099.5, "y": 26.5, "dx": 0.9998347517133227, "dy": 0.01817881366751496 }, { "x": 1163, "y": 26.5, "dx": 0.9998405993454448, "dy": 0.017854296416882943 }, { "x": 1226.5, "y": 25.5, "dx": 0.9998461420100133, "dy": -0.017541160386140585 }, { "x": 1289.5, "y": 26, "dx": 1, "dy": 0 }, { "x": 1352.5, "y": 26.5, "dx": 0.9998347517133227, "dy": -0.01817881366751496 }, { "x": 1416.5, "y": 39, "dx": 0.9165393783696333, "dy": 0.39994445601584 }] },
    { "ville1": "Petrograd", "ville2": "Wilno", "longueur": 4, "couleur": "BLEU", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1326, "y": 261, "dx": 0.5943910610838058, "dy": -0.8041761414663255 }, { "x": 1364, "y": 209.5, "dx": 0.5627909770820216, "dy": -0.8265992475892192 }, { "x": 1400.5, "y": 158, "dx": 0.5829078754517308, "dy": -0.8125382506296854 }, { "x": 1437, "y": 107.5, "dx": 0.5861197865287227, "dy": -0.8102244107897049 }] },
    { "ville1": "Riga", "ville2": "Wilno", "longueur": 4, "couleur": "VERT", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1167, "y": 119, "dx": -0.16990691650764622, "dy": 0.985460115744348 }, { "x": 1175, "y": 182, "dx": 0.4190581774617469, "dy": 0.9079593845004517 }, { "x": 1216, "y": 230.5, "dx": 0.8559155419457903, "dy": 0.5171156399255817 }, { "x": 1270, "y": 264.5, "dx": 0.8400393777687709, "dy": 0.5425254314756646 }] },
    { "ville1": "Roma", "ville2": "Venezia", "longueur": 2, "couleur": "NOIR", "isTunnel": false, "ferry": 0, "segments": [{ "x": 772.5, "y": 740, "dx": 0.19274530403092788, "dy": 0.9812488205210874 }, { "x": 784, "y": 803.5, "dx": 0.17888543819998318, "dy": 0.9838699100999074 }] },
    { "ville1": "Rostov", "ville2": "Sevastopol", "longueur": 4, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1526, "y": 703, "dx": 0.13663739713703102, "dy": -0.9906211292434748 }, { "x": 1534.5, "y": 640, "dx": 0.15867809538375516, "dy": -0.9873303712766988 }, { "x": 1561, "y": 598, "dx": 0.9906211292434748, "dy": 0.13663739713703102 }, { "x": 1623.5, "y": 609, "dx": 0.9849570246463139, "dy": 0.17279947800812523 }] },
    { "ville1": "Rostov", "ville2": "Sochi", "longueur": 2, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1667.5, "y": 663, "dx": -0.053494721371611896, "dy": 0.9985681322700888 }, { "x": 1664, "y": 726.5, "dx": -0.07000328148073091, "dy": 0.9975467611004155 }] },
    { "ville1": "Sarajevo", "ville2": "Sofia", "longueur": 2, "couleur": "GRIS", "isTunnel": true, "ferry": 0, "segments": [{ "x": 1096, "y": 793, "dx": 0.9079593845004517, "dy": -0.4190581774617469 }, { "x": 1143.5, "y": 792, "dx": 0.47514891473488396, "dy": 0.8799053976571926 }] },
    { "ville1": "Sarajevo", "ville2": "Zagrab", "longueur": 3, "couleur": "ROUGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 913.5, "y": 761.5, "dx": 0.12189130152520146, "dy": 0.9925434552766405 }, { "x": 946, "y": 815.5, "dx": 0.8125382506296854, "dy": 0.5829078754517308 }, { "x": 1010, "y": 825.5, "dx": 0.9433123908373908, "dy": -0.3319062115909338 }] },
    { "ville1": "Sevastopol", "ville2": "Sochi", "longueur": 2, "couleur": "GRIS", "isTunnel": false, "ferry": 1, "segments": [{ "x": 1554, "y": 753, "dx": 0.9899494936611665, "dy": 0.1414213562373095 }, { "x": 1616, "y": 763, "dx": 0.9899494936611665, "dy": 0.1414213562373095 }] },
    { "ville1": "Smolensk", "ville2": "Wilno", "longueur": 3, "couleur": "JAUNE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1344.5, "y": 274.5, "dx": 0.5812381937190964, "dy": -0.8137334712067349 }, { "x": 1386, "y": 251, "dx": 0.8160244811016552, "dy": 0.5780173407803391 }, { "x": 1438, "y": 289, "dx": 0.8160244811016552, "dy": 0.5780173407803391 }] },
    { "ville1": "Venezia", "ville2": "Zagrab", "longueur": 2, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 808, "y": 680.5, "dx": 0.965948051503245, "dy": -0.2587360852240835 }, { "x": 870.5, "y": 691.5, "dx": 0.8450788360522153, "dy": 0.5346417126044628 }] },
    { "ville1": "Venezia", "ville2": "Zurich", "longueur": 2, "couleur": "VERT", "isTunnel": true, "ferry": 0, "segments": [{ "x": 664.5, "y": 659.5, "dx": 0.8837879163470618, "dy": 0.4678877204190327 }, { "x": 721.5, "y": 689, "dx": 0.8765785507795943, "dy": 0.48125881219271843 }] },
    { "ville1": "Warszawa", "ville2": "Wien", "longueur": 4, "couleur": "BLEU", "isTunnel": false, "ferry": 0, "segments": [{ "x": 966.5, "y": 531.5, "dx": 0.860576682823999, "dy": -0.5093208939162444 }, { "x": 1016.5, "y": 493.5, "dx": 0.7423931175486519, "dy": -0.6699645207146371 }, { "x": 1059.5, "y": 446, "dx": 0.5891721574494418, "dy": -0.8080075302163774 }, { "x": 1094, "y": 392.5, "dx": 0.5221538596385299, "dy": -0.8528513040762654 }] },
    { "ville1": "Warszawa", "ville2": "Wilno", "longueur": 3, "couleur": "ROUGE", "isTunnel": false, "ferry": 0, "segments": [{ "x": 1142.5, "y": 310.5, "dx": 0.4678877204190327, "dy": -0.8837879163470618 }, { "x": 1194, "y": 272, "dx": 0.9761870601839528, "dy": -0.21693045781865616 }, { "x": 1257, "y": 285, "dx": 0.847998304005088, "dy": 0.52999894000318 }] },
    { "ville1": "Wien", "ville2": "Zagrab", "longueur": 2, "couleur": "GRIS", "isTunnel": false, "ferry": 0, "segments": [{ "x": 912.5, "y": 667, "dx": 0.08588834215301201, "dy": -0.9963047689749394 }, { "x": 916.5, "y": 604.5, "dx": 0.054464493159869794, "dy": -0.9985157079309461 }] }
};